--[[
WarlockReminder Continued v1.41
21 May 2011
Author: CKlausi/Biny of Anetheron EU
Original Author of WarlockReminder: Vux of Dragonblight-US
Description: Helpful reminders for Warlocks
File: WarlockReminderCustom.lua
]]--

local WarlockReminder = LibStub("AceAddon-3.0"):GetAddon("WarlockReminder")
local L = LibStub("AceLocale-3.0"):GetLocale("WarlockReminder")


local SelectedSpells = {}
local sound = false

function WarlockReminder:GetCustomSpells()
	local SpellInfos = {}
	local SpellName = ""
	for index, spell in pairs(self.db.profile.CustomSpells) do
		SpellName = GetSpellInfo(spell)
		table.insert(SpellInfos, index, SpellName)
	end
	return SpellInfos
end

function WarlockReminder:GetCurrentSpells(info, key)
	return SelectedSpells[key];
end

function WarlockReminder:SetCurrentSpells(info, key, value)
	if not value then
		value = nil;
	end
	SelectedSpells[key] = value;
end

function WarlockReminder:AddCustomSpell(info, value)
	local found = false
	
	-- Spell already exists?
	for index, spell in pairs(self.db.profile.CustomSpells) do
		if spell == value then
			found = true
			break
		end
	end
	
	-- Spell not in list -> add spell
	if not found then
		table.insert(self.db.profile.CustomSpells, value)
	end
end

function WarlockReminder:RemoveCustomSpell(info, value)
	for index, _ in pairs(SelectedSpells) do
		table.remove(self.db.profile.CustomSpells, index)
	end
	SelectedSpells = {};
end

-- Custom reminder
function WarlockReminder:CustomReminder()
	local show = false
	if self.db.profile.showCustom then
		for _, spell in pairs(self.db.profile.CustomSpells) do
			if self:UnitHasBuff("player", spell) then
				self:WlrCustomFrame(true, spell, self:UnitHasBuff("player", spell, true))
				show = true
				if (self.db.profile.soundCustom and
					not sound
				) then
					PlaySoundFile("Sound\\Spells\\Clearcasting_Impact_Chest.wav")
					sound = true
				end
				break
			end
		end
		if not show then 
			sound = false
			self:WlrCustomFrame(false)
		end
	end
end
-- END Custom reminder

